"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var azureBasePlugin_1 = require("./azureBasePlugin");
var mockFactory_1 = require("../test/mockFactory");
var MockPlugin = /** @class */ (function (_super) {
    __extends(MockPlugin, _super);
    function MockPlugin(serverless, options) {
        return _super.call(this, serverless, options) || this;
    }
    MockPlugin.prototype.logMessage = function (message) {
        this.log(message);
    };
    MockPlugin.prototype.getServerlessOption = function (key, defaultValue) {
        return this.getOption(key, defaultValue);
    };
    return MockPlugin;
}(azureBasePlugin_1.AzureBasePlugin));
describe("Azure Base Plugin", function () {
    var sls;
    var plugin;
    beforeEach(function () {
        sls = mockFactory_1.MockFactory.createTestServerless();
        var options = mockFactory_1.MockFactory.createTestServerlessOptions();
        options["key1"] = "val1";
        options["key2"] = "val2";
        plugin = new MockPlugin(sls, options);
    });
    it("logs a message", function () {
        plugin.logMessage("test message");
        expect(sls.cli.log).lastCalledWith("test message");
    });
    it("gets an option", function () {
        expect(plugin.getServerlessOption("key1")).toEqual("val1");
        expect(plugin.getServerlessOption("key2")).toEqual("val2");
        expect(plugin.getServerlessOption("key3")).toBeUndefined();
        expect(plugin.getServerlessOption("key3", "myValue")).toEqual("myValue");
    });
});
