import Serverless from "serverless";
import { BaseService } from "./baseService";
export declare class ResourceService extends BaseService {
    private resourceClient;
    constructor(serverless: Serverless, options: Serverless.Options);
    /**
     * Get all deployments for resource group
     */
    getDeployments(): Promise<import("@azure/arm-resources/esm/models").DeploymentsListByResourceGroupResponse>;
    /**
     * Returns stringified list of deployments with timestamps
     */
    listDeployments(): Promise<string>;
    /**
     * Get ARM template for previous deployment
     * @param deploymentName Name of deployment
     */
    getDeploymentTemplate(deploymentName: string): Promise<import("@azure/arm-resources/esm/models").DeploymentsExportTemplateResponse>;
    deployResourceGroup(): Promise<import("@azure/arm-resources/esm/models").ResourceGroupsCreateOrUpdateResponse>;
    deleteDeployment(): Promise<import("@azure/ms-rest-js").RestResponse>;
    deleteResourceGroup(): Promise<import("@azure/ms-rest-js").RestResponse>;
}
